<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="./../../bower_components/polymer/lib/elements/dom-repeat.html">
<link rel="import" href="./../pokemon-element/pokemon-element.html">
<link rel="import" href="./../dp/pokemon-dp.html">


<dom-module id="pokemon-list">
  <template>
    <style>
      :host {
        display: inline-block;
      }
    </style>
    <template is="dom-repeat" items="[[data.results]]" as="pokemon">
        <pokemon-element name=[[pokemon.name]] url="[[pokemon.url]]"></pokemon-element>
    </template>
    <pokemon-dp id="provider_pkm" result="{{data}}"></pokemon-dp>
  </template>

  <script>
    /**
     * @customElement
     * @polymer
     */
    class PokemonList extends Polymer.Element {
      static get is() { return 'pokemon-list'; }
      static get properties() {
        return {
          data: {
            type: Object,
            notify: true,
            value: function(){
                return {};
            }
          }
        };
      }
      ready(){
        super.ready();
        console.log('start');
        this.$.provider_pkm.getList();
      }
    }

    window.customElements.define(PokemonList.is, PokemonList);
  </script>
</dom-module>
